spring:
  application:
    name: gdt-auto
    version: v1.0.0
  servlet:
    multipart:
      max-file-size: 100MB
      max-request-size: 100MB
  profiles:
    active: test
  # https://docs.spring.io/spring-ai/reference/api/mcp/mcp-server-boot-starter-docs.html
  ai:
    mcp:
      server:
        enabled: false
        name: "腾讯快速投放"
        version: "2.0.0"
        sse-endpoint: /mcp/sse
  
  # Jackson配置
  jackson:
    date-format: yyyy-MM-dd HH:mm:ss
    time-zone: GMT+8
    default-property-inclusion: non_null

# MyBatis Plus配置
mybatis-plus:
  mapper-locations: classpath*:/mapper/**/*.xml
  type-aliases-package: com.moka.gdtauto.entity
  global-config:
    db-config:
      id-type: auto
      logic-delete-field: deleted
      logic-delete-value: 1
      logic-not-delete-value: 0
    banner: false
  configuration:
    map-underscore-to-camel-case: true
    cache-enabled: false
    log-impl: org.apache.ibatis.logging.slf4j.Slf4jImpl

# Server配置
server:
  port: 8080
  servlet:
    context-path: /
  tomcat:
    uri-encoding: UTF-8
    threads:
      max: 200
      min-spare: 10

# Plumelog配置
plumelog:
  env: ${spring.profiles.active}
  redis:
    host: r-uf6odtyjx4otfkczwhpd.redis.rds.aliyuncs.com
    port: 52525
    auth: NTZY_LOg666%$_redis


# 腾讯广告API配置
tencent:
  ads:
    user-token-redirect-uri: https://moka-auto.mokamrp.com/api/user/user-token-callback
    oauth-redirect-uri: https://moka-auto.mokamrp.com/api/gdt/auth/callback
    oauth-ok-redirect-uri: https://moka-auto.mokamrp.com/api/gdt/auth/ok
    client-id: 1112036271
    secret: CPemSOpMcp8KO1Ie

# 阿里云OSS配置
aliyun:
  oss:
    bucket-name: ad-auto
    cdn-domain: https://ad-autoss.luzie.cn

webhook:
  type: qywx
  url: https://qyapi.weixin.qq.com/cgi-bin/webhook/send?key=1fe80a6e-4510-4b6b-b38c-906f2947dbe8